using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;

namespace ObjectDataSourceSectionReport
{
    /// <summary>
    /// Summary description for SectionReport1.
    /// </summary>
    public partial class SectionReport1 : GrapeCity.ActiveReports.SectionReport
    {
        public List<Record> records;
        int index;
        public SectionReport1()
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();
        }

        private void SectionReport1_FetchData(object sender, FetchEventArgs eArgs)
        {
            if (index < records.Count)
            {
                
                if(index>= records.Count)
                {
                    eArgs.EOF = true;
                }
                else
                {
                    Fields["recordId"].Value = records[index].RecordId;
                    Fields["recordName"].Value = records[index].RecordName;
                    index++;
                    eArgs.EOF = false;
                }
            }
            
        }

        private void SectionReport1_DataInitialize(object sender, EventArgs e)
        {

            Fields.Add(new GrapeCity.ActiveReports.Data.Field() { Name = "recordId" });
            Fields.Add(new GrapeCity.ActiveReports.Data.Field() { Name = "recordName" });
            index = 0;
            DataSource = records;
        }
    }
}
